/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package data;

import java.io.Serializable;
import javax.persistence.*;
import javax.xml.bind.annotation.XmlRootElement;

/**
 *
 * @author Matt
 */
@Entity
@Table(name = "clientinfo")
@XmlRootElement
@NamedQueries(
{
    @NamedQuery(name = "ClientInfo.findAll", query = "SELECT c FROM ClientInfo c"),
    @NamedQuery(name = "ClientInfo.findByName", query = "SELECT c FROM ClientInfo c WHERE c.name = :name"),
    @NamedQuery(name = "ClientInfo.findByValue", query = "SELECT c FROM ClientInfo c WHERE c.value = :value")
})
public class ClientInfo implements Serializable
{
    private static final long serialVersionUID = 1L;
    @Id
    @Basic(optional = false)
    @Column(name = "name")
    private String name;
    @Basic(optional = false)
    @Column(name = "value")
    private String value;

    public ClientInfo()
    {
    }

    public ClientInfo(String name)
    {
        this.name = name;
    }

    public ClientInfo(String name, String value)
    {
        this.name = name;
        this.value = value;
    }

    public String getName()
    {
        return name;
    }

    public void setName(String name)
    {
        this.name = name;
    }

    public String getValue()
    {
        return value;
    }

    public void setValue(String value)
    {
        this.value = value;
    }

    @Override
    public int hashCode()
    {
        int hash = 0;
        hash += (name != null ? name.hashCode() : 0);
        return hash;
    }

    @Override
    public boolean equals(Object object)
    {
        // TODO: Warning - this method won't work in the case the id fields are not set
        if (!(object instanceof ClientInfo))
        {
            return false;
        }
        ClientInfo other = (ClientInfo) object;
        if ((this.name == null && other.name != null) || (this.name != null && !this.name.equals(other.name)))
        {
            return false;
        }
        return true;
    }

    @Override
    public String toString()
    {
        return "data.ClientInfo[ name=" + name + " ]";
    }
    
}
